# -*- coding: utf-8 -*-
#!/usr/bin/python

import binascii
import time
import datetime

def xPrint(text):
    print(text, flush=True)

def getDaySeconds(time_val, incdays = 0):
    time_zone = 8
    return int((time_val + time_zone * 3600)/3600/24 + incdays) * 3600 * 24 - 3600 * time_zone;

def getMondaySeconds(time_val):
    dt_val = datetime.datetime.fromtimestamp(time_val)
    day = dt_val.weekday()
    if day == 0:
        return getDaySeconds(time_val - (3600 * 24 * 6))
    else:
        return getDaySeconds(time_val - (3600 * 24 * (day - 1)))

def crc32(data):
    hash_code = binascii.crc32(data)
    assert hash_code >= 0
    return hash_code

def safeDiv(a, b):
    if b == 0:
        return 0
    else:
        return a / b
